lprint(1)

NAME
lprint - a label printer application

SYNOPSIS
lprint [ SUB-COMMAND ] [ OPTIONS ] [ FILES ]

DESCRIPTION
lprint is a label printer application that can be run standalone or as a dedicated IPP Everywhere network service. lprint supports printing PNG images, Apple/PWG raster files, and printer-specific label files to USB and network label printers. If no sub-command is specified, "submit" is assumed.

SUB-COMMANDS
The following sub-commands are recognized by lprint:

add Add a printer queue.

cancel
    Cancel one or more print jobs.

default
    Set the default printer queue.

delete
    Delete a printer queue.

devices
    List connected printers.

drivers
    List the supported drivers.

jobs
    List pending print jobs.

modify
    Modify a printer queue.

options
    List supported options.

printers
    List the printer queues.

server
    Start a server.

shutdown
    Shutdown a running server.

status
    Show the status of a printer or all printers.

submit
    Submit a file for printing.

SEE ALSO
https://www.msweet.org/lprint
lprint-add(1), lprint-cancel(1), lprint-default(1), lprint-delete(1), lprint-devices(1), lprint-drivers(1), lprint-jobs(1), lprint-modify(1), lprint-options(1), lprint-printers(1), lprint-server(1), lprint-shutdown(1), lprint-status(1), lprint-submit(1), lprint.conf(5)

COPYRIGHT
Copyright © 2019-2021 by Michael R Sweet.